Subject: JMP> Re: JobStateReasons - Octet or Integer

From: Tom Hastings <[email-masked]>
Date: Tue, 20 May 1997 21:21:31 PDT

Harry,

When we were going to use the new RFC 19xx SMI with the BITS, jobStateReasons
was going to be a single bit string (max length 128 bits).  However, it seemed 
much simpler just to define four integers, so I made jobStateReasonsN where
N=1..4.  The important bits are in jobStateReasons1, so if you only need
those bits, you need only implement one integer's worth of bits.

But I missed changing the specification from OCTETS to INTEGER on page
35 and 36 for each of the four jobStateReasonsN attributes.  I'll fix in 
the next version that I'm editing now.

Thanks,
Tom

to define fourAt 15:17 05/20/97 PDT, Harry Lewis wrote:
>Tom, in v0.81, on pg. 35, jobStateReasons is defined with syntax OTECTS but the
>TCs which are referenced (pg. 49) are INTEGER.
>
>>From an embedded controller perspective we prefer INTEGER (actually we prefer
>STATES over STATE Reasons... but that's another matter).;-).
>
>Harry Lewis - IBM Printing Systems
>
>